Package org.eclipse.jface.text.source

## Interface ISourceViewerExtension5

All Known Implementing Classes:
  `ProjectionViewer`, `SourceViewer`, `TextConsoleViewer`

    public interface ISourceViewerExtension5

Extension interface for `ISourceViewer`.

It introduces API to access a minimal set of code mining APIs.

Since:
  3.13
See Also:
  `ICodeMining`, `ICodeMiningProvider`

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `hasCodeMiningProviders()` Returns `true` if there are code mining providers and `false` otherwise.
`void` `setCodeMiningAnnotationPainter​(AnnotationPainter painter)` Set the `AnnotationPainter` to use to draw code minings.
`void` `setCodeMiningProviders​(org.eclipse.jface.text.codemining.ICodeMiningProvider[] codeMiningProviders)` Register the code mining providers.
`void` `updateCodeMinings()` Update the code minings.

### Method Detail

#### setCodeMiningAnnotationPainter

    void setCodeMiningAnnotationPainter​(AnnotationPainter painter)

Set the `AnnotationPainter` to use to draw code minings.

Parameters:
  `painter` - the `AnnotationPainter` to use to draw code minings.

#### setCodeMiningProviders

    void setCodeMiningProviders​(org.eclipse.jface.text.codemining.ICodeMiningProvider[] codeMiningProviders)

Register the code mining providers.

Parameters:
  `codeMiningProviders` - the code mining providers to register.

#### hasCodeMiningProviders

    boolean hasCodeMiningProviders()

Returns `true` if there are code mining providers and `false` otherwise.

Returns:
  `true` if there are code mining providers and `false` otherwise.

#### updateCodeMinings

    void updateCodeMinings()

Update the code minings. Clients and implementors are responsible of calling this method when needed. A typical use-case can be to run it upon completion of a reconcilier and after a job that would compute all the necessary pre-requisites to insert code mining annotations.